QueryAnnotator
Keywords: uk.ac.bbk.dcs.automed.qproc.annotate.QueryAnnotator class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.annotate
Class QueryAnnotator

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.annotate.QueryAnnotator

    public class QueryAnnotator

extends java.lang.Object

This class annotates an input IQL query in the form of an ASG by inserting wrapper objects in the original ASG structure. The wrapper objects are placed after the class discovers the largest possible subtrees that each wrapper can translate.

Author:
  Lucas Zamboulis

Constructor Summary
`QueryAnnotator(boolean debug, Schema[] tgts)`
`QueryAnnotator(Schema[] tgts)` Create a new Annotator object

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `process(ASG query)` Processes the input query: checks and finds the largest possible subtrees that can be translated by wrappers & contain schemes from the same data source, then inserts the necessary wrapper objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryAnnotator

    public QueryAnnotator(boolean debug,
                          Schema[] tgts)

Parameters:
  `debug` - set to true to display debugging information

### QueryAnnotator

    public QueryAnnotator(Schema[] tgts)

  Create a new Annotator object

Method Detail

### process

    public void process(ASG query)
                 throws java.lang.Exception

  Processes the input query: checks and finds the largest possible subtrees that can be translated by wrappers & contain schemes from the same data source, then inserts the necessary wrapper objects.

  Parameters:
    `query` - the input query, after it has been processed by the query reformulator
    `tgts` - the target schemas - same as the ones passed to the query reformulator
  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD